@echo off

:: # Check to make sure nrfutil and mergehex and nrfjprog are installed before moving on
WHERE >nul 2>nul nrfutil
IF %ERRORLEVEL% NEQ 0 (
ECHO "nrfutil was not found in PATH, please install using pip install"
goto :end
)
WHERE >nul 2>nul nrfjprog
IF %ERRORLEVEL% NEQ 0 (
ECHO "nrfjprog was not found in PATH, please install using windows installer from nordicsemi.com"
goto :end
)

SET S140=".\softdevice\s140_nrf52_6.1.1_softdevice.hex"
SET APPLICATION_HEX="..\ble_connectivity_dongle\pca10059\ser_s140_usb_hci\arm5_no_packs\_build\nrf52840_xxaa.hex"

echo "## Looking to make sure %S140% exists"
if not exist %S140% (
echo "#### s140 hex file does not exist! Make sure the softdevice is in the same folder as this script!"
goto :end
)
echo.

echo "## Looking to make sure %APPLICATION_HEX% is present in folder"
if not exist %APPLICATION_HEX% (
echo "#### app.hex file does not exist! Please copy a application .hex file into the folder, rename it, and try again!"
goto :end
)
echo.

nrfjprog --family nRF52 --program %S140% --chiperase --verify
nrfjprog --family NRF52 --program %APPLICATION_HEX% --sectorerase --verify
nrfjprog --family NRF52 --reset

:end
pause